"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76941ee0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76941f70>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe040>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe0d0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe160>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe1f0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe280>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe310>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe3a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe430>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe4c0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe550>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe5e0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe670>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe700>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe790>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe820>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe8b0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe940>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fe9d0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fea60>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766feaf0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766feb80>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fec10>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fed30>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766feca0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fedc0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fee50>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766feee0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e766fef70>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701040>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e767010d0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701160>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e767011f0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701280>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701310>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e767013a0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701430>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e767014c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701550>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e767015e0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701670>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701700>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701790>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701820>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e767018b0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701940>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e767019d0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701a60>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701af0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701b80>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701c10>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701ca0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701d30>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701dc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701e50>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701ee0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76701f70>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706040>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e767060d0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706160>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e767061f0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706280>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706310>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e767063a0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706550>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706430>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e767065e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706670>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706700>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706790>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706820>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706940>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e767068b0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e767069d0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706a60>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706af0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706c10>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706b80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706ca0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706d30>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706dc0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706e50>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706ee0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f0e76706f70>)]
name: str = 'fr_HOCCN'
